Last Comment Bug 622312 - "ASSERTION: nsWindow::EnableDragDrop() called after Destroy()"
: "ASSERTION: nsWindow::EnableDragDrop() called after Destroy()"
Status: RESOLVED FIXED
: assertion, testcase
Product: Core
Classification: Components
Component: Widget: Win32 (show other bugs)
: Trunk
: x86 Windows 7
: -- normal (vote)
: ---
Assigned To: Brian R. Bondy [:bbondy]
:
Mentors:
Depends on: 671792
Blocks: 594645
  Show dependency treegraph
 
Reported: 2010-12-31 19:42 PST by Jesse Ruderman
Modified: 2011-08-27 10:53 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (123 bytes, text/html)
2010-12-31 19:42 PST, Jesse Ruderman
no flags Details
stack trace (8.83 KB, text/plain)
2010-12-31 20:54 PST, Jesse Ruderman
no flags Details

Description Jesse Ruderman 2010-12-31 19:42:33 PST
Created attachment 500564 [details]
testcase

Steps to reproduce:
1. Load the testcase.
2. Shift+click the link.
     This should create a new browser window with a download dialog in front.
3. In the initial browser window, File > Quit.

Result:
###!!! ASSERTION: nsWindow::EnableDragDrop() called after Destroy(): 'mWnd',
file widget/src/windows/nsWindow.cpp, line 3054
Comment 1 Jesse Ruderman 2010-12-31 20:54:02 PST
Created attachment 500566 [details]
stack trace
Comment 2 Brian R. Bondy [:bbondy] 2011-07-19 16:43:57 PDT
This is a different error but is fixed by the same fix as Bug 671792.
This testcase should be tested once Bug 671792 gets merged in.
Comment 3 Brian R. Bondy [:bbondy] 2011-08-27 10:53:19 PDT
This was fixed inside the patch of Bug 671792

http://hg.mozilla.org/mozilla-central/rev/72459db22a34

I verified that it is fixed with the following nightly build:
http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/2011-08-27-mozilla-central-debug/

Note You need to log in before you can comment on or make changes to this bug.